Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33126/?format=api
{ "ob_id": 33126, "uuid": "096690aba290452d9b7208133274b69b", "title": "Acoustic data collected from a glider deployment in the North Sea in June-July 2021 as part of the EU Marine Robots (EUMR) project.", "abstract": "This dataset consists of acoustic data collected using an icListen Smart Hydrophone (model SC35-ETH) integrated into an iRobot M1 Seaglider during a campaign in the North Sea, west of Ireland. The glider was deployed from 22nd June to 25th July 2021 as the sole glider in the campaign on behalf of the EU Marine Robots (EUMR) project. The acoustics data are provided as both raw acoustic waveform (.WAV format) files, and spectral analyses of the data (as ascii .txt files). Once the glider was recovered, the acoustics data were transferred directly from the glider and so no post processing has been completed.\r\nAn error in the instrument system led to an error in the timestamps on the data files. The first waveform was started at 2021-06-27 12:29:42, and this was recorded as 2010-01-01 00:02:30. The timestamps for all filenames and the timestamps of all records in the spectral files have been corrected for this time offset. All the filename name changes are provided in the timestamp_logs directory. In addition, some spectral files were not closed correctly and held multiple records. These files have been split into new files and timestamps corrected accordingly. The details of the new files generated are given in the SBF_recover.txt log file.\r\nThe environmental, positional and engineering parameters collected alongside the acoustic data are available through the British Oceanographic Data Centre (BODC) using the ERDDAP tool below.", "keywords": "Ocean gliders, Acoustic waveforms, Ambient noise, Acoustic spectra", "publicationState": "citable", "dataPublishedTime": "2021-12-01T13:21:07", "doiPublishedTime": "2021-12-16T17:00:36", "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33127/?format=api", "dataPath": "/bodc/CSC210177/EUMR_glider_acoustics/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 248012636166, "numberOfFiles": 39947, "fileFormat": "Raw acoustic data in WAV format; Spectral analyses of 10 minute segements of the acoustics files in ASCI text format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9103/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2844/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Acoustics data were collected by an icListen Smart Hydrophone (SC35-ETH) mounted on an iRobot M1 Seaglider deployed in the North Sea. Data were transferred from the glider to a hard drive and then submitted to the British Oceanography Data Centre (BODC, NOC). timestamps included in the files and filenames were updating according to the ice offset from the data provider. Files containing multiple spectra were split into separate files, with appropriate file names. Data were subsequently archived at CEDA.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10971/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149466/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147946/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147943/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147942/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148430/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147944/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148431/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/33250/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }